Bug 706323 (CVE-2011-1936) - CVE-2011-1936 kernel: xen: vmx: insecure cpuid vmexit
Summary: CVE-2011-1936 kernel: xen: vmx: insecure cpuid vmexit
Status: CLOSED ERRATA
Alias: CVE-2011-1936
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110707,reported=20110519,sou...
Keywords: Security
Depends On: 706324 706325
Blocks: 718617
TreeView+ depends on / blocked
 
Reported: 2011-05-20 05:50 UTC by Petr Matousek
Modified: 2015-08-19 09:10 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 12:47:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC

Description Petr Matousek 2011-05-20 05:50:41 UTC
A bug was found in the way Xen handles cpuid instruction emulation during VM exits. An unprivileged guest user can potentially use this flaw to crash the guest.

This issue only affects systems running on x86 architecture with Intel processor and VMX virtualization extension enabled.

Comment 2 Petr Matousek 2011-05-20 05:56:33 UTC
Statement:

The versions of the Linux kernel as shipped with Red Hat Enterprise Linux 4, 6, and Red Hat Enterprise MRG are not affected. This has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-0927.html.

Also, only systems running on x86 architecture with Intel processor and VMX
virtualization extension enabled are affected.

Comment 5 errata-xmlrpc 2011-07-15 06:09:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html


Note You need to log in before you can comment on or make changes to this bug.